///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//      LuRa DS 4 data wire LCD Display control UTILITY                                                        05/2007       //
//      This utility software is developped with VAMELI RMV3 control system                                                  // 
//                      - you can find more information at www.vameli.sk webpages                                            // 
//                                                                                                                           //
//      **************************************************************************************************************       //
//      Developed by lura                                                                                                    //
//                      - you can find more information at www.lura.sk webpages                                              //
//                                                                                                                           // 
//                                                                                                                           //
//      **************************************************************************************************************       //
//      You can use this software for non-commercial or comercial projects as is, customize or modify it,                    //
//       there are only two restrictions :                                                                                   //
//       1, You have to write e-mail to me about any usage of this utilities                                                 //
//       2, When your distribution of your project is with source codes, you have to write comment about using of            //   
//          my utilities and include my e-mail address there,                                                                //
//          OR you have to live or include this full header - comment as is.                                                 //      
//                                                                                                                           //
//              My e-mail address is:  lubo@lura.sk                                                                          //
//                                                                                                                           //
//      **************************************************************************************************************       //
//                                                                                                                           // 
//      This version is writen in Wickenhuser uc51 software environment v1.20.05 (www.wickenhaeuser.com)                    // 
//                                                                                                                           //
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//  IMPORTANT !!!!
//  You have to write your own time utilities :
//  1,  void Delay_ms(byte DelayInMiliSeconds); 
//  2,  void Delay_us(byte DelayInMicroSeconds); 
//
//

#include <reg52.h> // The 8052 is based on the 8051


// Here you have to define your HW implementation
#define  DISPLAY_DSPLE     P0_B4
#define  DISPLAY_DSPLRW    P0_B5
#define  DISPLAY_DSPLRS    P0_B6
#define  DISPLAY_LED       P0_B7
#define  DISPLAY_PORT      P0


#ifndef Isword 
  typedef unsigned int word;
  #define Isword 1
#endif
#ifndef Isdword 
 typedef unsigned long dword;
  #define Isdword 1
#endif
#ifndef Isbyte 
 typedef unsigned char byte;
  #define Isbyte 1
#endif

#ifndef OR
   #define OR |
#endif
#ifndef AND
  #define AND &
#endif
#ifndef H 
  #define H 1
#endif
#ifndef L 
  #define L 0
#endif
#ifndef NO 
  #define NO 0
#endif
#ifndef YES 
  #define YES 1
#endif


//   DISPLAY START
// Before you use display, you have to call INIT DISPLAY !!!!!
void DS_Init (void);                       // Inicializacia displeja, musi byt volane pred jeho prvym pouzitim 

void DS_Putc (byte pos,byte ch) reentrant; // Vypise znak na displeji na zadanej pozicii
void DS_Print(byte pos,char * c);          // Vypise "NulouUonceny" string na displeji od pozicie pos 
void DS_con(void);                         // Zapne kurzor
void DS_coff(void);                        // Vypne kurzor
void DS_scur(byte pos);                    // Nastavi aktualnu poziciu kurzoru
//   DISPLAY END

